For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTDetokenize
      • POSTTokenize
LogoLogo
Login
Login
Data APITokens

Detokenize

POST
/v1/vaults/:vaultID/detokenize
POST
/v1/vaults/:vaultID/detokenize
$curl -X POST https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/detokenize \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "detokenizationParameters": [
> {
> "token": "afbd1074-51c1-4a16-9eee-e2c0ecb52125",
> "redaction": "PLAIN_TEXT"
> },
> {
> "token": "05383487-fcae-42e5-a48e-5bd62a51af12",
> "redaction": "DEFAULT"
> }
> ],
> "downloadURL": false
>}'
1{
2 "records": [
3 {
4 "token": "afbd1074-51c1-4a16-9eee-e2c0ecb52125",
5 "valueType": "STRING",
6 "value": "Robin"
7 },
8 {
9 "token": "05383487-fcae-42e5-a48e-5bd62a51af12",
10 "valueType": "STRING",
11 "value": "*REDACTED*"
12 }
13 ]
14}
Returns records that correspond to the specified tokens.
Was this page helpful?
Previous

Tokenize

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired

Request

This endpoint expects an object.
detokenizationParameterslist of objectsRequired
Detokenization details.
downloadURLbooleanOptionalDefaults to false

If true, returns download URLs for fields with a file data type. URLs are valid for 15 minutes. If virus scanning is enabled, only returns if the file is clean.

continueOnErrorbooleanOptionalDefaults to false

If true, the detokenization request continues even if an error occurs.

Response

OK
recordslist of objects
Records corresponding to the specified tokens.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error